package com.weiqi.mis.contorller;

import com.weiqi.mis.MsgService;
import com.weiqi.vo.OrderInfoVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * 下发查询
 */
@Controller
@RequestMapping(value = "mis/log")
//@LoginType
@Slf4j
public class CarLogController {

    @Autowired
    MsgService msgService;
    /**
     * 下行详情页面
     *
     * @return
     */
    @RequestMapping(value = "/logindex")

    public Object listapp() {

        return "car/orderLog";
    }

    /**
     * 下行详情页面
     *
     * @return
     */
    @RequestMapping(value = "/index")

    public Object list() {

        return "car/orderInfo";
    }


    /**
     * 下行详情数据
     *
     * @return
     */
    @RequestMapping(value = "list")
    @ResponseBody
    public Object getlist(OrderInfoVo records) {

        return msgService.getOrderinfoLog(records);

    }



    /**
     * 获取appid
     *
     * @return
     */
    @RequestMapping(value = "getappId")
    @ResponseBody
    public Object getappId() {

        return msgService.getAppId();

    }

    /**
     * 获取通道
     *
     * @return
     */
    @RequestMapping(value = "getsp")
    @ResponseBody
    public Object getsp() {

        return msgService.getsp();

    }

    /**
     * 获取可用sp通道
     *
     * @return
     */
    @RequestMapping(value = "/usable/getsp")
    @ResponseBody
    public Object usableGetsp() {

        return msgService.usableGetsp();
    }





}
